import bb.cascades 1.0
    
//Sheet
//{    
	Page {
	    id: page
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Battery Information") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
/*            
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _battery.close_window()
                }
            }
*/
        }// titleBar

	    
	    ScrollView {
	        
		    Container {
	            layout: StackLayout {
	            }

                Container {
	                id: charging
	                objectName: "charing_container"
	                Header {
                        title: qsTr("Charging") + Retranslate.onLanguageChanged
	                }
	                Label {
	                    objectName: "charger_name"
	                }
	                Label {
	                    objectName: "charger_max_charge"
	                }
	                Label {
	                    objectName: "charger_max_input"
	                }
	                Label {
	                    objectName: "charger_to_full"
	                }
	
	            }
	            
                Container {
                    objectName: "container_section1"
                    Header {
                        title: qsTr("General") + Retranslate.onLanguageChanged
		            }
		
					Label {
		                objectName: "battery_name"
		            }
		            Label {
		                objectName: "device_name"
		            }
		            Label {
		                objectName: "battery_temp"            
		            }
		            Label {
		                objectName: "battery_voltage"            
		            }
		            Label {
		                objectName: "battery_health"            
		            }
		            Label {
		                objectName: "battery_energy"            
		            }
		        }

	            
	            Header {
                    title: qsTr("Usage") + Retranslate.onLanguageChanged
	            }
	            Label {
	                objectName: "battery_percent"            
	            }
	            Label {
	                objectName: "time_to_empty"            
	            }
	            Label {
                    text: qsTr("Note: Estimated time") + Retranslate.onLanguageChanged
	                textStyle.fontStyle: FontStyle.Italic
	                textStyle.fontSize: FontSize.XSmall
	            }
	            
	            
	/*            Label {
	                objectName: "max_time_to_empty"            
	            }
	            Label {
	                objectName: "time_to_empty_constant"            
	            }
	*/
	            
	            Container {
                    objectName: "container_section2"

                    Header {
                        title: qsTr("Capacity") + Retranslate.onLanguageChanged
		            }
		            Label {
		                objectName: "design_capacity"            
		            }
		            Label {
		                objectName: "avail_capacity"            
		            }
		            Label {
		                objectName: "charge_capacity"            
		            }
		            Label {
		                objectName: "nominal_capacity"            
		            }
		
		            Header {
                        title: qsTr("System") + Retranslate.onLanguageChanged
		            }
		            Label {
		                objectName: "max_voltage"            
		            }
		            Label {
		                objectName: "min_voltage"            
		            }
		            Label {
		                objectName: "system_voltage"            
		            }
		            Label {
		                objectName: "current_monitor"            
		            }
		
		            
		            Header {
                        title: qsTr("Misc") + Retranslate.onLanguageChanged
		            }
		            Label {
		                objectName: "average_current"            
		            }
		            Label {
		                objectName: "average_power"            
		            }
		            Label {
		                objectName: "cycle_count"            
		            }
		
				}
	
	        
	        }
	    } // scroll
	}
//}
