import bb.cascades 1.0

Sheet {
    
	Page {
        titleBar: TitleBar {
            title: "Blocking Status"
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _mainApp.closeStatus()
                }
            }
        
        }
        

//	    ScrollView {
		    Container {
		        layout: DockLayout {
		        }
		        
		        verticalAlignment: VerticalAlignment.Center
		        horizontalAlignment: HorizontalAlignment.Center
		        
		        Container {
		            layout: StackLayout {
		            }
		            horizontalAlignment: HorizontalAlignment.Center
		            Label {
		                text: "Activate: Mon to Fri"
		                horizontalAlignment: HorizontalAlignment.Center
		                textStyle.fontSize: FontSize.XLarge
		                objectName: "activate_label"
		                textStyle.color: Color.DarkGreen
		            }
		            Label {
		                text: "11:00pm to 7:00am"
		                horizontalAlignment: HorizontalAlignment.Center
		                textStyle.fontSize: FontSize.XLarge
		                objectName: "activate_label2"
		                textStyle.color: Color.DarkGreen
		            }
		        }
		        
		        Container {
		            layout: StackLayout {
		            }
		            verticalAlignment: VerticalAlignment.Center
		            horizontalAlignment: HorizontalAlignment.Center
		            
		            
		            
		            ImageToggleButton {
		                imageSourceChecked: "asset:///images/ic-ON.png"
		                //                  imageSourceDisabledChecked: "asset:///images/ic-OFF.png"
		                //                    imageSourcePressedChecked: "asset:///images/ic-ON.png"
		                //                    imageSourcePressedUnchecked: "asset:///images/ic-OFF.png"
		                imageSourceDefault: "asset:///images/ic-OFF.png"
		                objectName: "img_on_off"
		                onCheckedChanged: {
		                    _mainApp.setState(checked)
		                    footer.setVisible(!checked)
		                }
		                horizontalAlignment: HorizontalAlignment.Center
		            
		            }
		            
		            Label {
		                text: "Incoming Blocked: "
		                horizontalAlignment: HorizontalAlignment.Center
		                textStyle.fontSize: FontSize.XLarge
		                objectName: "counter_label"
		            }
		            
		            Label {
		                text: "Outgoing Blocked: "
		                horizontalAlignment: HorizontalAlignment.Center
		                textStyle.fontSize: FontSize.XLarge
		                objectName: "counter_label2"
		            }
		        
		        }
		        Container {
		            verticalAlignment: VerticalAlignment.Bottom
		            bottomPadding: 80
		            layout: StackLayout {
		            
		            }
		            Container {
		                Divider {		            
		                }
		            
		            }
		            
		            Container {
		                id: footer
		                layout: StackLayout {
		                    orientation: LayoutOrientation.LeftToRight
		                
		                }
		                leftPadding: 10
		                topPadding: 20
		                horizontalAlignment: HorizontalAlignment.Center
		                ImageView {
		                    imageSource: "asset:///images/ic-ON_small.png"
		                    objectName: "img_incoming"
		                }
		                Label {
		                    text: "Incoming"
		                    objectName: "incoming_status"
		                }
		                
		                
		                ImageView {
		                    imageSource: "asset:///images/ic-ON_small.png"
		                    objectName: "img_outgoing"
		                }
		                Label {
		                    text: "Outgoing"
		                    objectName: "outgoing_status"
		                }
		            } // container
		        
		        }
		    
		    } // container
		    
		}
	
	} // sheet
//}
