import bb.cascades 1.0

Sheet {
    
	Page {
        titleBar: TitleBar {
            title: qsTr("Select a Color") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            acceptAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _color.closeWindow()
                }
            }
        
        }// titleBar
	    
	    Container {
	        
	        
	        Container {
	            id: container_select_icon
	            layout: StackLayout {
	            
	            }
	            topPadding: 10
	            leftPadding: 10
	            rightPadding: 10
	            bottomPadding: 10
	            background: Color.Black
	            Container
	            {                
	//                ScrollView {
	
	                    
	                    ListView {
	                        id: recipeList
	                        
	                        verticalAlignment: VerticalAlignment.Center
	                        horizontalAlignment: HorizontalAlignment.Center
	                        layout: GridListLayout {
	                            //headerMode: ListHeaderMode.Standard
	                            columnCount: 6
	                            objectName: "maingridlist"
	                        }
	                        
	                        dataModel: XmlDataModel {
	                            source: "models/color_table.xml"
	                        }
	                        
	                        listItemComponents: [
	                            ListItemComponent {
	                                type: "item"
	                                Container {
	                                    id: itemRoot
	                                    layout: DockLayout {
	                                    }
	                                    Container {
	                                        background: Color.create(ListItemData.color)
	                                        opacity: itemRoot.ListItem.active  ? 0.7 : 1.0
	                                        horizontalAlignment: HorizontalAlignment.Fill
	                                        verticalAlignment: VerticalAlignment.Fill
	                                    }
	/*                                    ImageView {
	                                        imageSource: ListItemData.image
	                                        horizontalAlignment: HorizontalAlignment.Center
	                                        verticalAlignment: VerticalAlignment.Center
	                                        opacity: 0.85
	                                    }
	*/
		                            }
	                            
	                            }
	                        ]
	                        
	                        onTriggered: {
	                            _color.selectColor(indexPath);
	                        }
	                        
	                        objectName: "listview"
	                    }// ListView
	//                } // scroll view
	            
	            }
	        } // selection icon
	
	        
	        
	    } // container
	
	} // page
}

