import bb.cascades 1.2

	Page {
	    titleBar: TitleBar {
            title: qsTr("Help") + Retranslate.onLanguageChanged
	
	    }
	    id: mainpage
	    ScrollView {
	         
		    Container {
		
		        Container {
		            layout: DockLayout {
		            }
		            topPadding: 10
		            preferredHeight: 50
		            leftPadding: 30
		            rightPadding: 30
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Center
		            Label {
                        text: qsTr("What is Power Tools?") + Retranslate.onLanguageChanged
		                horizontalAlignment: HorizontalAlignment.Left
		            }
		            Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(0)
                            }
                        }
		                rightPadding: 30
		                text: ">"
		                horizontalAlignment: HorizontalAlignment.Right
		                textStyle.fontSize: FontSize.Large
		            }
		        }
		        Divider {            
		        }
	
	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("How to setup a LED Color?") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(1)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	            Divider {            
	            }
	
	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("How to block Text and Email Messages?") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(2)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	            Divider {            
	            }
	
	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("How to setup Sound Notification?") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(3)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	            Divider {            
	            }

                Container {
                    layout: DockLayout {
                    }
                    preferredHeight: 50
                    leftPadding: 30
                    rightPadding: 30
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    Label {
                        text: qsTr("How to setup Geofencing?") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(4)
                            }
                        }
                        rightPadding: 30
                        text: ">"
                        horizontalAlignment: HorizontalAlignment.Right
                        textStyle.fontSize: FontSize.Large
                    }
                }
                Divider {            
                }
	
                Container {
                    layout: DockLayout {
                    }
                    preferredHeight: 50
                    leftPadding: 30
                    rightPadding: 30
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    Label {
                        text: qsTr("What is Flip Hush and The Wave?") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(5)
                            }
                        }
                        rightPadding: 30
                        text: ">"
                        horizontalAlignment: HorizontalAlignment.Right
                        textStyle.fontSize: FontSize.Large
                    }
                }
                Divider {            
                }

                Container {
                    layout: DockLayout {
                    }
                    preferredHeight: 50
                    leftPadding: 30
                    rightPadding: 30
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    Label {
                        text: qsTr("Power Tools is not working") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(6)
                            }
                        }
                        rightPadding: 30
                        text: ">"
                        horizontalAlignment: HorizontalAlignment.Right
                        textStyle.fontSize: FontSize.Large
                    }
                }
                Divider {            
                }

	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("Power Tools Permissions") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(7)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	            Divider {            
	            }
	
	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("Privacy Policy") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(8)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	
				Divider {
	       
	       		}
	            Container {
	                layout: DockLayout {
	                }
	                preferredHeight: 50
	                leftPadding: 30
	                rightPadding: 30
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
                        text: qsTr("About") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                Label {
                        onTouch: {
                            if (event.isDown())
                            {
                                _mainApp.do_help(9)
                            }
                        }
	                    rightPadding: 30
	                    text: ">"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    textStyle.fontSize: FontSize.Large
	                }
	            }
	            Divider {
	            
	            }
		        
		    } // container
	    
	    } // scrollview	
	    
	    attachedObjects: [
	        ComponentDefinition {
	            id: helpPage
	        },

            Invocation
            {
                id: invokewebsite
                query.mimeType: "text/html"
                query.uri: "http://www.toysoft.ca/"
                query.invokeActionId: "bb.action.OPEN"
            
            },
            
            Invocation
            {
                id: invokeappworld
                query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://vendor/184"
                query.invokeActionId: "bb.action.OPEN"
            
            }
	    
	    ]
	
        actions: [

            
            ActionItem {
                title: qsTr("More Apps") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_moreapps.png"
                onTriggered: {
                    invokeappworld.trigger("bb.action.OPEN")
                }
            
            }
/*            ,
            
            ActionItem {
                title: qsTr("Invite") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_bbm.png"
                
                onTriggered: {
                    _mainApp.invitedownload()
                }
            }
  */      
        ]
	
	
	} // page

