import bb.cascades 1.0

Sheet {
    

	Page {
	    id: page
	    titleBar: TitleBar {
            title: qsTr("Alarms Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
	    }

	    
	    ScrollView {
         
		    Container {
                leftPadding: 10.0

                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
text: qsTr("This screen allows you to create multiple alarms.\n\nYou can select the builtin alarm ringtone or you can select your own MP3, M4A, AMR, AAC or WAV ringtone.\n\nThe alarm ringtone will play at the exact time as you have assigned.  There is no dialog box displayed when the alarm is triggered because Headless applications can not display user interface.\n\nThe workaround is to display a Instant Preview message.  You can select the message and Power Tools will open the Alarms screen.  Snooze and repeat alarm are not in this release because of the Headless limitations.\n\nWhen you set the alarm to go off on the 15 minute, 30 minute, 45 minute or on the hour you need to select the Start button to start the Alarm if the current hour has passed the Start hour.\n\nExample:  If the Start hour is at 1pm and the current hour is at 3pm hour you need to start the alarm otherwise Power Tools will wait until the next day at 1pm to start the alarm.\n\nThe Instant Preview message is only displayed if Power Tools UI application is not running.") + Retranslate.onLanguageChanged

                }       
		    }
		}
	
	
	}

}