import bb.cascades 1.0

Sheet {
    

	Page {
	    id: page
	    titleBar: TitleBar {
            title: qsTr("System Sound Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
	    }

	    
	    ScrollView {
         
		    Container {
                leftPadding: 10.0

                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("This screen allows you to setup Geofencing Locations, Cell Tower, Bluetooth and Wifi Connections for changing profiles.") + Retranslate.onLanguageChanged

                }       

                //                    text: qsTr("This screen allows you to setup Geofencing Locations, Cell Tower, Bluetooth and Wifi Connections for changing profiles.\n\nWhen you come near or leave a location Power Tools will change the sound profile.  You do not need to do anything else.  Everything is done in the background.\n\n<b>Geofenching</b>\n\nGeofencing uses GPS to manage all the locations.  It is very easy to setup and is very accurate.\n\nSelect the Map button or if you know the Latitude and Longitude then just type them in.  You will also need to enter the Radius. The Radius is a circle from your current location.\n\nFor example:  If you set the Radius to 100 meters.  Anytime you enter or leave this range Power Tools will change the profile.\n\nPower Tools will only change the Profile when GPS is available.  If there is no GPS then profile will not change.  It is not instant change.\n\nRemember that using GPS consumes battery.  You can monitor Power Tools battery usuage in the App Manager application.\n\n<b>Configure Geofencing Location</b>\n\nWith Geofencing you do not need to be physically at the location to setup the sound profile.  Select the Map button to visually selec the location on the map where you want Geofencing to happen.\n\nIf you know the name of the location you can also use the Search icon on the Top right corner to search for the location.\n\nThe Home icon on the Top left will position the map to your current physical location.\n\nThe Radius slider on the bottom of the screen is the number of meters away from the location that you are setting.  The default is 100 meters but you can use any value you like.  If you set it too small it may not work because of the accuracy.\nWhen you get near the location Power Tools will change the sound profile and when you leave it will change again.\n\n<b>Selecting a Locatinon the Map</b>\nTo select the location that you want just press and hold on the position on the map and you will see the pin.  Adjust the radius using the slider.\n\n<b>Turning Wifi On and Off</b>\n\nWith the current BlackBerryOS it is possible to turn on Wifi but not off.  To turn off Wifi you can set a Hub notification reminder.  When you get this message just swipe down from the top of the HomeScreen and turn off Wifi.\n\nWhen BlackBerry updates the Wifi API to allow turning off wifi then we can update Power Tools.\n\n<b>Limitations</b>\n\nProfile will not change if your device can not lock on to the GPS location.  It could be that you are not in a clear view of the Satellite.\n\nChanging profile is not instantaneous with Geofencing.  GPS must be available.  The BlackBerry OS will decide when to send events to Power Tools.\n\n<b>You must set the Location permissions in the Settings application.  You will also need to turn on Location Serivces in the Settings application.</b>") + Retranslate.onLanguageChanged

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("<b>Geofenching</b>\n\nGeofencing uses GPS to manage all the locations.  It is very easy to setup and is very accurate.\n\nSelect the Map button or if you know the Latitude and Longitude then just type them in.  You will also need to enter the Radius. The Radius is a circle from your current location.\n\nFor example:  If you set the Radius to 100 meters.  Anytime you enter or leave this range Power Tools will change the profile.\n\nPower Tools will only change the Profile when GPS is available.  If there is no GPS then profile will not change.  It is not instant change.\n\nRemember that using GPS consumes battery.  You can monitor Power Tools battery usuage in the App Manager application.\n\n<b>Configure Geofencing Location</b>\n\nWith Geofencing you do not need to be physically at the location to setup the sound profile.  Select the Map button to visually selec the location on the map where you want Geofencing to happen.\n\nIf you know the name of the location you can also use the Search icon on the Top right corner to search for the location.\n\nThe Home icon on the Top left will position the map to your current physical location.\n\nThe Radius slider on the bottom of the screen is the number of meters away from the location that you are setting.  The default is 100 meters but you can use any value you like.  If you set it too small it may not work because of the accuracy.\nWhen you get near the location Power Tools will change the sound profile and when you leave it will change again.\n\n<b>Selecting a Locatinon the Map</b>\n\nTo select the location that you want just press and hold on the position on the map and you will see the pin.  Adjust the radius using the slider.") + Retranslate.onLanguageChanged
                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("<b>Cell Tower</b>\n\n\Cell Tower do not GPS but instead it uses the Cell Tower.  In the <b>Type</b> drop down list box select Cell ID and then select the <b>Scan</b> button to scan for Cell IDs.") + Retranslate.onLanguageChanged                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("<b>Bluetooth and Wifi Connections</b>\n\nWhen your BlackBerry connects to a Bluetooth device or a Wifi Hotspot Power Tools can change the Sound Notification.  In the <b>Type</b> drop down list box select <b>Connections</b> and then select the <b>Connection Type</b> drop down list box.") + Retranslate.onLanguageChanged                
                }       

		    }
		}
	
	
	}

}