import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("LED Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
text: qsTr("LED allows you to setup a blinking light for incoming phone calls on OS10.3, ncoming Text, Email, BBM, WhatsApp, Facebook, Twitter, LinkedIn, Blaq and other applications.\n\nYou can select many different color combinations from solid, two colors or three color combos.\n\nLED must be enabled in the Settings->Notification application.\n\n<b>Applications</b>\n\nThe Apps screen will have all the 3rd party applications such as BBM, Facebook WhatsApp etc... You can not manually add 3rd party applications.\n\nPower Tools will automatically notify you in the Hub when it detects a new application.  To turn on and off Hub notification goto the Application Settings screen.\n\n<b>Messages</b>\n\nThe Messages screen will have all your custom Text and Email contacts.  You can set a LED for an email account or you can set a LED for individual contact.\n\n<b>Found New Application</b>\n\nWhen Power Tools detect a new Application it will send you a Hub notification.  You can either ignore the message or open the message and add the new the application.\n\n<b>Custom</b>\n\nSelect Custom from the Account drop down list.  This will allow you to enter an email address, phone number or a keyword in the email subject or body message.\nCustom is for individual Text and Email Contact.  You will need to create two separate LEDs for Text and Email message for the same contact.\n\n<b>Account</b>\n\nIf you want the same color LED for all Text messages or email coming from the same email address then select the Account.  If you already have a LED set for a Contact then that LED will be used.\n\n<b>Incoming Phone Calls</b>\n\nOn BlackBerry OS10.3 and higher you can set a custom LED for any incoming caller.  You can do a lookup in the Contacts application or just enter the caller's name and the phone number.\n\n<b>VIP</b>\n\nIf you are controlling the Sound Notifcation with Power Tools then you should use VIP.  When VIP is enabled for a Contact or an Account no matter what the LED and Sound is set to in the Setting->Notification application,  Power Tools will always blink and play the ringtone.\n\nMake sure the volume for <b>Main Volume</b> in the Settings->Main Volume screen is NOT turned off.\n\nOn the main screen VIP Contacts and Accounts will be labelled with *.") + Retranslate.onLanguageChanged
                                    
                }       
            }
        }
    
    
    }

}