import bb.cascades 1.0

Sheet {
    

	Page {
	    id: page
	    titleBar: TitleBar {
            title: qsTr("Sound Profile Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
	    }

	    
	    ScrollView {
         
		    Container {
                leftPadding: 10.0

                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
text: qsTr("Sound Profile allows you to change to a different system Sound Notification.\n\nSound must be enabled in the Settings->Notification application.\n\nThere are 5 different Modes that you can set.\n\nThe profile will not change until the exact time that you have set in the <b>Start Time</b> and <b>End Time</b> drop down lists.  You can set the Recurrence to Everyday, Weekdays or Weekly.\n\nYou can also control the LED, Sound, Vibrate, Volume and Main Volume for Start and End times.  These settings are exactly the same as you find in the Settings->Notification application.\n\n<b>Main Volume</b>\n\nMain Volume is mainly used by media applications such as the Music application and other applications to play audio sound or ringtones by the Phone application.  If you set the Main Volume to off then no audio sound will be heard even if you set the Notification Volume to full.") + Retranslate.onLanguageChanged

                }       
		    }
		}
	
	
	}

}