import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Remote Command Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Remote Command allows anyone to send you email or text message with a specific command to get your location or system status report.") + Retranslate.onLanguageChanged                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("There are currently only two supported command actions:  Location and System Status Report.  Location will send back a Google map with your GPS location.  Location Services must be turned on in the Settings application.") + Retranslate.onLanguageChanged
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("In the Remote Command setup screen enter the command and select an action.  You will also need to select the email account that will send the reply back to the sender.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When Power Tools receives the command you can tell Power Tools to delete the request email.") + Retranslate.onLanguageChanged
                }       
                Divider {                    
                }         
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To use the command you must put the command in the body of the email or text message.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To disable the command just delete the command and leave it blank.") + Retranslate.onLanguageChanged
                }       
                
                Divider {
                    
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Note:  When you send a request from an email you will not get a instant reply.  It depends on how quick your BlackBerry receives the message.  If you send by text message then you will get it back quicker.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       

                   
            }
        
        }
    
    }

}