import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Weather Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Power Tools can display the current weather information on the HomeScreen Toolbar, Lock Screen, Active Frame and to change the Wallpaper.") + Retranslate.onLanguageChanged                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Select the <b>Enable Weather Information</b> Toggle Button and then select the Search Type.  You can enter the City name or the Current Location.  Current Location uses GPS so make sure Location Services is turned on the Settings application.") + Retranslate.onLanguageChanged
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When entering a City Name you can use English or your own native language eg: 中国北京 or Tokyo, Giappone") + Retranslate.onLanguageChanged
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Custom Font") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you want the weather information to display in your own native language eg: 18°C晴朗 加拿大卡加里 then you can select a ttf font file.  You need to download the tff yourself.  You can search the internet for <b>free ttf fonts</b>") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Weather Wallpaper") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can set a different wallpaper when the outside temperature changes.  Select the <b>Wallpaper Setup</b> button.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Yahoo Weather") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you use Yahoo weather then you need to enter the Where On Earth ID (WOEID). Select the <b>Search for WOEID</b> button and goto the website and enter the city and then copy and paste the WOEID.") + Retranslate.onLanguageChanged
                }       

                
                Divider {
                
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Note:  Internet is required to get the Weather information.  Weather is updated ever 10 minutes.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       
            
            
            }
        
        }
    
    }

}