import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("How to setup a LED Color") + Retranslate.onLanguageChanged
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            topPadding: 10
            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("<b>Power Tools</b> allows you to setup LED color for Text and Email, BBM, WhatsApp, Facebook, Twitter, LinkedIn and other 3rd party applications.\n\nYou must allow the following permissions in the Settings application, Security Privacy, Application Permissions.\n") + Retranslate.onLanguageChanged
                }
            }
            
            Container {
                Label {
                    text: qsTr("Email and PIN Messages\nText Messages permissions") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }

            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>LED and Sound in Settings App</b>\n\nThe LED and Sound in the <b>Settings application in the Notification</b> screen MUST be ON for the LED to blink and the ringtone to play.\n\nWhen the Notification Mode is set to Silent, Vibrate or All Alerts OFF Power Tools will not blink the LED or play the ringtone.  Only when the LED, Sound or Vibrate is set to ON then Power Tools will work.") + Retranslate.onLanguageChanged
                }
            }
            
            
            Divider {
            
            }
            
            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("The LED notification screen allows you to either set a LED Color for an Account,  Phone number for Text or Email message.\n\nOn the main screen select the <b>Custom LED for Messages</b> item or the color LED icon.") + Retranslate.onLanguageChanged
                }
            }

            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Account</b>\n\nAn Account is SMS-MMS, Email, WhatsApp, Facebook etc... Whenever you get a message from the Account Power Tools will blink the LED color.\n\nIf you have a individual LED set for a Text or Email contact then that LED color will be used instead of the Account LED Color.\n\nIn the LED setup screen select the Account drop down list and select the Account name.\n\n<b>Why Facebook Account not shown?</b>\n\nAccount such as Facebook, WhatsApp etc... will not show up in the Account drop down list until you receive a new message from Facebook, WhatsApp etc... then Power Tools will add the new Account.") + Retranslate.onLanguageChanged
				}
            }
            Divider {
                
            }

            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Text Message</b>\n\nFor a Text message you must enter a phone number.  The phone number should include the country code, area code and then the local phone number.\n\nExample for North America phone number 15195550000\n\nIn the LED setup screen select the Account drop down list and select the <b>Custom</b> item\n\nEnter the phone number in one of the entry fields.  You can entry one or two phone numbers.") + Retranslate.onLanguageChanged
                }
            }

            Container {
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Email Message</b>\n\nFor a Email message you must enter a email address.\n\nExample support@toysoft.ca\n\nIn the LED setup screen select the Account drop down list and select the <b>Custom</b> item\n\nEnter an email address in one of the entry fields.  You can enter one or two email addresses.") + Retranslate.onLanguageChanged
                }
            }
        
        	Divider {
             
             }
        	
             Container {
                 Label {
                     multiline: true
                     textFormat: TextFormat.Html
                     text: qsTr("\n<b>Repeat</b> - The Repeat will blink LED with the <b>White</b> color and play the ringtone.  This will repeat until you stop the LED.\n\n<b>VIP</b> - If you want the contact to always reach you eg: blink the LED and play the ringtone regardless of what the system Sound Notification Mode is set to then enable VIP.") + Retranslate.onLanguageChanged
                 }
             }
        	
        	
        }
    }
}
