import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("Message Blocker")
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            
            Container {

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Note: You should create a password in the Encryption screen in the main screen.  This will protect others from opening Message Blocker without a password.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("<b>Block Text Messages</b>\n\nTo block incoming Text messages enter the sender's phone number in one of the filter fields.  When entering the phone number do not enter any other characters except numbers.  Make sure you include the country and area code in the phone number.\n\nYou can use a wildcard to block a range of numbers. \n\n*number will block all the numbers ending in.  Example: *1234567 will block any number that ends in 1234567\n\nnumber*  will block all the numbers begins in.  Example: 1234567* will block any number starting with 1234567\n\n<b>Block Email Messages</b>\n\nTo block incoming Email messages enter the sender's email address in the one of the filter fields.  You can block an entire domain address by using the <b>Wildcard</b> *@domain.com  For example:  If you want to block all messages coming for yahoo.com  then just enter *@yahoo.com\n\n<b>Key Words</b>\n\nKey Words filtering is useful if the sender's email address or subject always changes.  If you know a piece of information in the message that is always the same then you can block it using Keywords.\n\nTo block a Text or Email message with a keyword all you have to do is enter the keyword or keywords in the filter field.  Power Tools will try to match the keywords in the message subject and the body message.\n\n<b>Blocked Message Log</b>\n\nEvery blocked message is logged to the Message Block database and the block counter is shown on the main screen in Power Tools.  You can clear the message block counter by touch and hold the Message Blocker item and select Clear Status from the menu.\n\nThe message filter is also updated with the block counter and the time of the last blocked message.\n\nTo view the block messages log select the More or ... icon on the main screen and select View Blocked Log.  You can view the log and export to CSV format.\n\n<b>Advanced Filters</b>\n\nThe Advanced Filters allows you to filter email messages based on the language type.  If you get alot of spams from different part of the world and the message is unreable to you then you can filter them out.\n\nIn Advanced Filters screen it lists all the supported languages.  You just turn on the language to block.\n\nWhen a message is blocked using the Advanced Filters the counter is updated on the main screen only and the message is logged.  There are no other detail information such as date like the one in the Message Filter screen for individual filters.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            

        }
    }
}
