import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: "Talk Time Limit Help"
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Warning: You should create a password in the Encryption screen in the main screen.  This will protect others from changing the settings without a password.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       
                
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you want to limit the number of minutes talking on all calls or on any call then add the caller to the list.")
                }       
            
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Phone Call Log screen contains all the incoming calls.  You can select the call log and then add the caller to the Talk Time database.")
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When you enter the phone number only enter digits or the phone format eg: +1 888 555-1234")
                }       
                Divider {
                    
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Optionally you can set a vibrate notification 30 seconds before the call ends.  Power Tools will end the call 5 seconds before the actual time.")
                }       

            }
        }
    
    
    }

}