import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Holster Setting") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Holster.cancelEditHolsterSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Holster.saveEditHolsterSettings()
                }
            
            }
        }// titleBar
                
        objectName: "page"
        
        Container {
            SegmentedControl {
                
                leftPadding: 10
                rightPadding: 10
                topPadding: 10
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("InHolster")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("OutHolster")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_inholster.setVisible(true)
                        container_outholster.setVisible(false)
                    }
                    else
                     if (selectedIndex == 1)
                     {
                     container_inholster.setVisible(false)
                     container_outholster.setVisible(true)
                     }
                }
            } 

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0
                Label {
                    text: qsTr("Disable One Time Only") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cbox_disable_onetime"
                    horizontalAlignment: HorizontalAlignment.Right
                }
            } // volume key
            Divider {
                
            }

            Container {
                id: container_inholster
                layout: DockLayout {
                }

                ScrollView {            
                
                Container
                {
                    layout: DockLayout {
                    }
                    leftPadding: 10.0
                    topPadding: 10.0
                    rightPadding: 10.0
                    bottomPadding: 10.0
                    
                    Container
                    {
                        layout: StackLayout { }
                        
    /*
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            bottomPadding: 10
                            Label {
                                text: qsTr("Disable One Time Only") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "cbox_disable_onetime"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // volume key
                        
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            background: Color.DarkGray
                            topPadding: 10.0
                            
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: ib_start
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    container_start.setVisible(checked)
                                }
                            }
                            Label {
                                text: qsTr("In Holster") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }
    */
                        //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                        Container {
    	                    id: container_start
//                            visible: ib_start.checked
    
    	                    Container
    	                    {
    	                        id: profile1
    	                        topPadding: 10.0
    	                                                
    	                        DropDown {
    	                            id: mode
                                    title: qsTr("Mode") + Retranslate.onLanguageChanged	            
    	                            objectName: "mode"
    	                            selectedIndex: 0
    	
    	                            onSelectedIndexChanged: {
    	                                if (selectedIndex == 0)
    	                                {
                                            start_led.setVisible(true)
                                            start_sound.setVisible(true)
                                            start_vibrate.setVisible(true)
                                            start_preview.setVisible(true)
    	                                }
    	                                else
    	                                // normal and phone only
    	                                if (selectedIndex == 3 || selectedIndex == 4)
    	                                {
    	                                    start_led.setVisible(true)
    	                                    start_sound.setVisible(true)
    	                                    start_vibrate.setVisible(true)
    	                                    start_preview.setVisible(true)
    //	                                    start_volume.setVisible(true)
    	//                                    start_volume_header.setVisible(true)
    	                                }
    	                                // silent and vibrate
    	                                else
    	                                    if (selectedIndex == 1 || selectedIndex == 2)
    	                                    {
    	                                    start_led.setVisible(true)
    	                                    start_sound.setVisible(false)
    	                                    start_vibrate.setVisible(false)
    	                                    start_preview.setVisible(true)
    	                                 //   start_volume.setVisible(false)
    	                                    start_sound.setSelectedIndex(0)
    	                                    start_vibrate.setSelectedIndex(0)
    	                                   // start_volume_header.setVisible(false)
    	                                
    	                                    }
    	                                    // all off
    								    else
    								    if (selectedIndex == 5)
    								    {
    		                                        start_led.setVisible(false)
    		                                        start_sound.setVisible(false)
    		                                        start_vibrate.setVisible(false)
    		                                        start_preview.setVisible(false)
    		                                      //  start_volume.setVisible(false)
    	                                          //  start_volume_header.setVisible(false)
    	
    		                                        start_led.setSelectedIndex(0)
    		                                        start_sound.setSelectedIndex(0)
    		                                        start_preview.setSelectedIndex(0)
    		                                        start_vibrate.setSelectedIndex(0)
    		                                    
    		                            }
    	                            }
    
//                                    visible: ib_start.checked
                                    Option {
                                        value: "Do Nothing"
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Do not change Profile") + Retranslate.onLanguageChanged	            
                                        imageSource: "asset:///images/ic_mode_nothing.png"
                                    }
                                    Option {
                                        value: "silent"
                                        imageSource: "asset:///images/ic_mode_silent.png"
                                        
                                        text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        value: "vibrate"
                                        imageSource: "asset:///images/ic_mode_vibrate.png"
                                        
                                        text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        value: "normal"
                                        imageSource: "asset:///images/ic_mode_normal.png"
                                        
                                        text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        value: "phonecall"
                                        imageSource: "asset:///images/ic_mode_phone.png"
                                        text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        value: "alloff"
                                        imageSource: "asset:///images/ic_mode_alloff.png"
                                        
                                        text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                                    }
    	                        }
    	                    }
    	                    // mode container
    	                    Container {
    		                    id: in_holster
    	
    	                        Container
    		                    {
    		                        topPadding: 10.0
    		                        DropDown {
    		                            id: start_led
                                        title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                        objectName: "led"
                                        selectedIndex: 0
                                        Option {
                                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("On") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                        }
    		                        }
    		                    }
    		                    
    		                    Container
    		                    {
    		                        topPadding: 10.0
    		                        DropDown {
    		                            id: start_vibrate
                                        title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                        objectName: "vibrate"
                                        selectedIndex: 0
                                        Option {
                                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("On") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                        }
    		                        }
    		                    }
    		                    
    		                    Container
    		                    {
    		                        topPadding: 10.0
    		                        DropDown {
    		                            id: start_preview
                                        title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                        objectName: "preview"
                                        selectedIndex: 0
                                        Option {
                                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("On") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                        }
    		                        }
    		                    }
    	
    	                        Container
    	                        {
    	                            topPadding: 10.0
    	                            DropDown {
    	                                id: start_sound
                                        title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                        objectName: "sound"
                                        selectedIndex: 0
                                        Option {
                                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("On") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                        }
    	                            }
    	                        }
    	                        Container
    	                        {
    	                            topPadding: 10.0
    	                            id: location_bluetooth
    	                            DropDown {
                                        title: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
    	                                objectName: "holster_bluetooth_off"
    	                                selectedIndex: 0
                                        Option {
                                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("On") + Retranslate.onLanguageChanged	            
                                        }
                                        Option {
                                            text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                        }
    	                            }
    	                        }
    	                        Container
    	                        {
    	                            topPadding: 10
    	                            id: adjust_start_volume
    	                            layout: DockLayout {
    	                            }
    	                            horizontalAlignment: HorizontalAlignment.Fill
    	                            Label {
                                        text: qsTr("Adjust Volumes") + Retranslate.onLanguageChanged	            
    	                                horizontalAlignment: HorizontalAlignment.Left
    	                            }
    	                            ToggleButton {
    	                                id: start_sound_tb
    	                                objectName: "tb_adjust_start_volumes"
    	                                horizontalAlignment: HorizontalAlignment.Right
    	                            }
    	                        }
    	                        
    	                        // volume container
    		                    Container 
    	                     	{      
    	                             visible:  start_sound_tb.checked    
    		                        Header {
                                        title: qsTr("Volume") + Retranslate.onLanguageChanged	            
    		                            id: start_volume_header
    		                        }
    		
    			                    Container {
    			                        id: start_volume
    			                        leftPadding: 10
    			                        rightPadding: 10
    			                        topPadding: 15
    			                        bottomPadding: 15
    			                        layout: StackLayout {
    			                            orientation: LayoutOrientation.LeftToRight
    			                        }
    			                        
    			                        // The minimum position of the slider means night-time so an image of a
    			                        // moon is added to illustrate this.
    			                        ImageView {
    			                            imageSource: "asset:///images/sound0.png"
    			                            verticalAlignment: VerticalAlignment.Center
    			                        }
    			                        
    			                        // The slider component
    			                        Slider {
    			                            leftMargin: 10
    			                            rightMargin: 10
    			                            horizontalAlignment: HorizontalAlignment.Fill
    			                            verticalAlignment: VerticalAlignment.Center
    			                            
    			                            layoutProperties: StackLayoutProperties {
    			                                spaceQuota: 1
    			                            }
    			                            objectName: "start_volume"
    			                            toValue: 100.0
    			                        
    			                        }
    			                        
    			                        // At the maximum position of the slider means day-time so an image of a
    			                        // sun is added to illustrate this.
    			                        ImageView {
    			                            imageSource: "asset:///images/sound3.png"
    			                            verticalAlignment: VerticalAlignment.Center
    			                        
    			                        } // Sun icon Image
    			                    } // Slider Container
    			                    
    			                    Header {
                                        title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
    			                    }
    			                    Container {
    			                        id: media_volume
    			                        leftPadding: 10
    			                        rightPadding: 10
    			                        topPadding: 15
    			                        bottomPadding: 15
    			                        layout: StackLayout {
    			                            orientation: LayoutOrientation.LeftToRight
    			                        }
    			                        
    			                        // The minimum position of the slider means night-time so an image of a
    			                        // moon is added to illustrate this.
    			                        ImageView {
    			                            imageSource: "asset:///images/sound0.png"
    			                            verticalAlignment: VerticalAlignment.Center
    			                        }
    			                        
    			                        // The slider component
    			                        Slider {
    			                            leftMargin: 10
    			                            rightMargin: 10
    			                            horizontalAlignment: HorizontalAlignment.Fill
    			                            verticalAlignment: VerticalAlignment.Center
    			                            
    			                            layoutProperties: StackLayoutProperties {
    			                                spaceQuota: 1
    			                            }
    			                            objectName: "main_volume"
    			                            toValue: 100.0
    			                        
    			                        }
    			                        
    			                        // At the maximum position of the slider means day-time so an image of a
    			                        // sun is added to illustrate this.
    			                        ImageView {
    			                            imageSource: "asset:///images/sound3.png"
    			                            verticalAlignment: VerticalAlignment.Center
    			                        
    			                        } // Sun icon Image
    			                    } // Slider Container
    			                    Label {
                                        text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
    			                        textStyle.fontStyle: FontStyle.Italic
    			                        textStyle.fontSize: FontSize.XSmall
    			                    
    			                    }	                                    
    			                }
    		                } // volume container
    	                } // profile 1
    	            }
                 }
                 }
            }
             
            Container {
                layout: DockLayout {
                }
                id: container_outholster
                visible: false
                
                ScrollView {            

                    
                    Container {
                        layout: DockLayout {
                        }

/*                            
                            Container {
                                layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                                }
                            background: Color.DarkGray
                            topPadding: 10.0
                            
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: ib_out
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    profile2.setVisible(checked)
                                }
                            
                            }
                            Label {
                                text: qsTr("Out of Holster") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }
*/
                    //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                    Container
                    {
                        topPadding: 10.0
                        bottomPadding: 10.0
                        leftPadding: 10.0
                        rightPadding: 10.0
//                        visible: ib_out.checked
                        id: profile2
	                    Container
	                    {
	                        topPadding: 10.0
//	                        visible: ib_out.checked
	                        DropDown {
	                            id: mode2
//	                            visible: ib_out.checked
                                title: qsTr("Mode") + Retranslate.onLanguageChanged	            
	                            objectName: "mode_end"
	                            selectedIndex: 0
	                            onSelectedIndexChanged: {
                                     if (selectedIndex == 0)
                                     {
                                         end_led.setVisible(true)
                                         end_sound.setVisible(true)
                                         end_vibrate.setVisible(true)
                                         end_preview.setVisible(true)
                                     }
                                     else
	                                // normal and phone only
	                                if (selectedIndex == 3 || selectedIndex == 4)
	                                {
	                                    end_led.setVisible(true)
	                                    end_sound.setVisible(true)
	                                    end_vibrate.setVisible(true)
	                                    end_preview.setVisible(true)
	                                    //end_volume.setVisible(true)
	                                    //end_volume_header.setVisible(true)
	                                }
	                                // silent and vibrate
	                                else
	                                    if (selectedIndex == 1 || selectedIndex == 2)
	                                    {
	                                    end_led.setVisible(true)
	                                    end_sound.setVisible(false)
	                                    end_vibrate.setVisible(false)
	                                    end_preview.setVisible(true)
	                                    //end_volume.setVisible(false)
	                                   // end_volume_header.setVisible(false)
	                                    
	                                    end_sound.setSelectedIndex(0)
	                                    end_vibrate.setSelectedIndex(0)
	                                
	                                    }
	                                    // all off
								    else
								    if (selectedIndex == 5)
								    {
	                                        end_led.setVisible(false)
	                                        end_sound.setVisible(false)
	                                        end_vibrate.setVisible(false)
	                                        end_preview.setVisible(false)                                    
	                                       // end_volume.setVisible(false)
	                                       // end_volume_header.setVisible(false)
	
	                                        end_led.setSelectedIndex(0)
	                                        end_sound.setSelectedIndex(0)
	                                        end_vibrate.setSelectedIndex(0)
	                                        end_preview.setSelectedIndex(0)
	                                    
	                                 }
	                            }
	
                                Option {
                                    value: "Do Nothing"
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Do not change Profile") + Retranslate.onLanguageChanged	            
                                    imageSource: "asset:///images/ic_mode_nothing.png"
                                }
                                Option {
                                    value: "silent"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                    
                                    text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "vibrate"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                    
                                    text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "normal"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                    
                                    text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "phonecall"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                    text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "alloff"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                    
                                    text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                                }
	                        }
	                    } // mode container
	                    
	                    Container {
	                        id: out_holster
	
	                        Container
		                    {
		                        topPadding: 10.0
		                        DropDown {
		                            id: end_led
                                    title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                    objectName: "led_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
		                        }
		                    }
		                    
		                    Container
		                    {
		                        topPadding: 10.0
		                        DropDown {
		                            id: end_vibrate
                                    title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                    objectName: "vibrate_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
		                        }
		                    }
		                    
		                    Container
		                    {
		                        topPadding: 10.0
		                        DropDown {
		                            id: end_preview
                                    title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                    objectName: "preview_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
		                        }
		                    }
	
	                        Container
	                        {
	                            topPadding: 10.0
	                            DropDown {
	                                id: end_sound
                                    title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                    objectName: "sound_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
	                            }
	                        }
	
	                        Container
	                        {
	                            topPadding: 10.0
	                            id: location_bluetooth_end
	                            DropDown {
                                    title: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
	                                objectName: "holster_bluetooth_off_end"
	                                selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
	                            }
	                        }
	                        
	                        Container
	                        {
	                            topPadding: 10
	                            id: adjust_end_volume
	                            layout: DockLayout {
	                            }
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            Label {
                                    text: qsTr("Adjust Volumes") + Retranslate.onLanguageChanged	            
	                                horizontalAlignment: HorizontalAlignment.Left
	                            }
	                            ToggleButton {
	                                id: end_sound_tb
	                                objectName: "tb_adjust_end_volumes"
	                                horizontalAlignment: HorizontalAlignment.Right
	                            }
	                        }
	
							Container {
	                            visible: end_sound_tb.checked
		                        Header {
                                    title: qsTr("Volume") + Retranslate.onLanguageChanged	            
		                            id: end_volume_header
		                        }
			                    
			                    Container {
			                        id: end_volume
			                        leftPadding: 10
			                        rightPadding: 10
			                        topPadding: 15
			                        bottomPadding: 15
			                        layout: StackLayout {
			                            orientation: LayoutOrientation.LeftToRight
			                        }
			                        
			                        // The minimum position of the slider means night-time so an image of a
			                        // moon is added to illustrate this.
			                        ImageView {
			                            imageSource: "asset:///images/sound0.png"
			                            verticalAlignment: VerticalAlignment.Center
			                        }
			                        
			                        // The slider component
			                        Slider {
			                            leftMargin: 10
			                            rightMargin: 10
			                            horizontalAlignment: HorizontalAlignment.Fill
			                            verticalAlignment: VerticalAlignment.Center
			                            
			                            layoutProperties: StackLayoutProperties {
			                                spaceQuota: 1
			                            }
			                            objectName: "end_volume"
			                            toValue: 100.0
			                        
			                        }
			                        
			                        // At the maximum position of the slider means day-time so an image of a
			                        // sun is added to illustrate this.
			                        ImageView {
			                            imageSource: "asset:///images/sound3.png"
			                            verticalAlignment: VerticalAlignment.Center
			                        
			                        } // Sun icon Image
			                    } // Slider Container
			                    
			                    Header {
                                    title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
			                    }
			                    Container {
			                        id: media_volume_end
			                        leftPadding: 10
			                        rightPadding: 10
			                        topPadding: 15
			                        bottomPadding: 15
			                        layout: StackLayout {
			                            orientation: LayoutOrientation.LeftToRight
			                        }
			                        
			                        // The minimum position of the slider means night-time so an image of a
			                        // moon is added to illustrate this.
			                        ImageView {
			                            imageSource: "asset:///images/sound0.png"
			                            verticalAlignment: VerticalAlignment.Center
			                        }
			                        
			                        // The slider component
			                        Slider {
			                            leftMargin: 10
			                            rightMargin: 10
			                            horizontalAlignment: HorizontalAlignment.Fill
			                            verticalAlignment: VerticalAlignment.Center
			                            
			                            layoutProperties: StackLayoutProperties {
			                                spaceQuota: 1
			                            }
			                            objectName: "main_volume_end"
			                            toValue: 100.0
			                        
			                        }
			                        
			                        // At the maximum position of the slider means day-time so an image of a
			                        // sun is added to illustrate this.
			                        ImageView {
			                            imageSource: "asset:///images/sound3.png"
			                            verticalAlignment: VerticalAlignment.Center
			                        
			                        } // Sun icon Image
			                    } // Slider Container
			                    Label {
                                    text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
			                        textStyle.fontStyle: FontStyle.Italic
			                        textStyle.fontSize: FontSize.XSmall
			                    
			                    }	                
			                }
			       			}
			       		 } // end volume container
			       	 }
	             }	                
	        } // container
        } // scroll view
    } // page
} // sheet