import bb.cascades 1.0

    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Manage System Sound Profiles") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
        }// titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _CellID.help()
                }
            },
            
            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
//                     ActionBar.placement: ActionBarPlacement.OnBar
                     imageSource: "asset:///images/ic_add.png"
                     onTriggered: {
                         _CellID.newFilter(-1)
                     }
                objectName: "action_new"
            }
        
        ]

        objectName: "page"
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
                objectName: "img_background"
                scalingMethod: ScalingMethod.AspectFill
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
            }
          
            ListView {
                id: listView
                dataModel: _CellID.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable

                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _CellID.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
