import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        objectName: "page"
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("LED Setup") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            /*
             dismissAction: ActionItem {
             title: "Cancel"
             onTriggered: {
             _MessageFilter.cancelMessageFilterSettings()
             }
             }
             */            
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _ManageLED.closeWindow()
                }
            
            }
        
        }// titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("Applications") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_apps.png"
                onTriggered: {
                    _ManageLED.changeState()
                }
                objectName: "action_state"
            },
            
            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _ManageLED.newLED(-1)
                }
                objectName: "action_new"
            },
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_help.png"
	            onTriggered: {
	                        _ManageLED.help()
	            }
	        }

        
        ]

        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
          
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
            }
          
            ListView {
                id: listView
                dataModel: _ManageLED.model
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _ManageLED.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
} // sheet