import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
  
        titleBar: TitleBar {
            id: addBar
/*
            kind: TitleBarKind.FreeForm
            kindProperties: FreeFormTitleBarKindProperties {
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    leftPadding: 10
                    rightPadding: 10
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: qsTr("Search")
                        verticalAlignment: VerticalAlignment.Center
                    }
                    TextField {
                        hintText: qsTr("Enter a filter name")
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Fill
                        inputMode: TextFieldInputMode.Text
                        input
                        {
                            onSubmitted: {
                            }
                        }
                        
                    }
                }
            }
*/
            title: qsTr("Message Blocker") + Retranslate.onLanguageChanged	            

            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _MessageBlocker.closeWindow()
                }
            
            }

        }// titleBar

  
   /*     
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Message Blocker") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _MessageBlocker.closeWindow()
                }
            
            }

        }// titleBar
*/        
        actions: [

            ActionItem {
                title: qsTr("Save Log") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_save_log.png"
                onTriggered: {
                    _MessageBlocker.saveLog()
                }
                objectName: "action_savelog"
            },
            
            ActionItem {
                title: qsTr("White List") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_whitelist.png"
                onTriggered: {
                    _MessageBlocker.do_whitelist()
                }
                objectName: "action_whitelist"
            },

            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _MessageBlocker.newFilter(-1)
                }
                objectName: "action_new"
            },

            ActionItem {
                title: qsTr("Run Filters") + Retranslate.onLanguageChanged	            
//                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_runfilters.png"
                onTriggered: {
                    _MessageBlocker.runfilters(false)
                }
            },
            
            ActionItem {
                title: qsTr("Advanced") + Retranslate.onLanguageChanged	            
	            imageSource: "asset:///images/ic_advanced_blocking.png"
	            onTriggered: {
                    _MessageBlocker.advancedOptions()
	            }
            },

            ActionItem {
                title: qsTr("Filter Search") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/search.png"
                onTriggered: {
                    txt_search.setText("")
                    container_search.setVisible(true)
                    txt_search.requestFocus()
                }
            },
            
        
            ActionItem {
                title: qsTr("Import From V1") + Retranslate.onLanguageChanged	            
//                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_moreapps.png"
                onTriggered: {
                    _MessageBlocker.import_from_v1()
                }
            },
        
            ActionItem {
                    title: qsTr("View Blocked Log") + Retranslate.onLanguageChanged	            
                    //                ActionBar.placement: ActionBarPlacement.OnBar
                    imageSource: "asset:///images/ic_viewlog.png"
                    onTriggered: {
                        _MessageBlocker.viewLog()
                    }
            }
        
        
        ]

        objectName: "page"
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
                objectName: "img_background"
                scalingMethod: ScalingMethod.AspectFill
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
            }
          
            ListView {
                id: listView
                dataModel: _MessageBlocker.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _MessageBlocker.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview

            Container {
                id: container_search
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                leftPadding: 30
                rightPadding: 30

                visible: false
                Container {
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Fill
//                    preferredHeight: 200
                    background: Color.LightGray
                    leftPadding: 20
                    rightPadding: 20
                    
                    Label {
                        text: qsTr("Search")
                        horizontalAlignment: HorizontalAlignment.Center
                        textStyle.color: Color.Blue
                        textStyle.fontSize: FontSize.Large
                    }
                    TextField {
                        id: txt_search
                        hintText: qsTr("Enter a filter name")
                        input
                        {
                            submitKey: SubmitKey.Search
                            onSubmitted: {
                                _MessageBlocker.search_filter(txt_search.text)
                                container_search.setVisible(false)
                            }
                        }
                    }
                    Button {
                        text: qsTr("Close")
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            container_search.setVisible(false)
                            listView.requestFocus()
                        }
                    }
                    Label {
                        text: ""
                    }
                    
                }

            }
        
        
        } // container
        
        
        
    } // page
} // sheet