import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Popup Message") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _popup.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _popup.saveSettings()
                }
            
            }
        }// titleBar
        

        
        objectName: "page"
        ScrollView {
        Container
        {
            layout: StackLayout {
            }
            leftPadding: 10.0
            topPadding: 10.0
            rightPadding: 10.0
            bottomPadding: 10.0
            
            horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Enable") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_disable
                        objectName: "bt_enable"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            cont_sub.setVisible(checked)
                        }
    
                    }
                } // dissable tb
                
                Container {
                    id: cont_sub
                    visible: tb_disable.checked

                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Prompt me when deleting email") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            objectName: "bt_prompt_delete"
                            horizontalAlignment: HorizontalAlignment.Right
                        
                        }
                    } // dissable tb
                    
                    Header {
                        title: qsTr("Accounts") + Retranslate.onLanguageChanged
                    }
                    Container
                    {
                        horizontalAlignment: HorizontalAlignment.Fill
                        objectName: "container_email_accounts"
                    
                    }
                    
                    Header {
                        title: qsTr("Popup Properties") + Retranslate.onLanguageChanged
                    }
                    DropDown {
                        horizontalAlignment: HorizontalAlignment.Fill
                        title: qsTr("Popup") + Retranslate.onLanguageChanged
                        objectName: "dd_popup_where"
                        selectedIndex: 0
                        Option {
                            text: qsTr("Immediately")
                            description: qsTr("Popup when new messages arrives.")
                        }
                        Option {
                            text: qsTr("Screen Unlocked")
                            description: qsTr("Popup only when the screen is unlocked.")
                        }
                    }
    
                    Container {
                        leftPadding: 20
                        rightPadding: 20
                        topPadding: 10
                        Label {
                            id: lb_temp
                            text: qsTr("Show body message: 1K")
                            horizontalAlignment: HorizontalAlignment.Center
                            objectName: "lb_temp"
                        }
                        Slider {
                            id: sl_body_size
                            horizontalAlignment: HorizontalAlignment.Fill
                            fromValue: 1
                            toValue: 10
                            value: 1
                            onImmediateValueChanged: {
                                lb_temp.setText(qsTr("Show body message:") + " " + Math.round(immediateValue)  + "K")
    //                            _wallpaper.update_temperature(immediateValue);
                            }
                            objectName: "sl_size"
                        }
                    
                    }
                    Label {
                        text: qsTr("To turn off the LED, Vibrate and Sound for popup messages goto the Settings app, Notifications, Profile (eg: Normal) and Customize App Notifications and Power Tools.")
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.Small
                        visible: false
                    }
                    
                } // container
            } // scrollview
        
        }
    } // page
} // sheet