import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Remote Command") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _cmd.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _cmd.saveSettings()
                }
            
            }
        }// titleBar
        
        
        actions: [
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _cmd.help()
                }
            }
        ]

        
        objectName: "page"
        ScrollView {
            Container
            {
                layout: StackLayout {
                }
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0
                
                horizontalAlignment: HorizontalAlignment.Fill
                Header {
                    title: qsTr("Command One")
                }
                TextField {
                    objectName: "tf_command1"
                    hintText: qsTr("Enter a command eg: where are you?")
                }
                
                DropDown {
                    title: qsTr("Action")
                    objectName: "dd_action1"
                    Option {
                        text: qsTr("Send location information")
                    }
                    Option {
                        text: qsTr("Send system information")
                    }

                }
                DropDown {
                    id: dd_account1
                    title: qsTr("Account") + Retranslate.onLanguageChanged	            
                    objectName: "dd_account1"
                }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Delete remote command message") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "bt_delete_email1"
                        horizontalAlignment: HorizontalAlignment.Right                    
                    }
                } // delete


                Header {
                    title: qsTr("Command Two")
                }
                TextField {
                    objectName: "tf_command2"
                    hintText: qsTr("Enter a command eg: system status update")
                }
                
                DropDown {
                    title: qsTr("Action")
                    objectName: "dd_action2"

                    Option {
                        text: qsTr("Send location information")
                    }
                    Option {
                        text: qsTr("Send system information")
                    }
                
                }
                DropDown {
                    id: dd_account2
                    title: qsTr("Account") + Retranslate.onLanguageChanged	            
                    objectName: "dd_account2"
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Delete remote command message") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "bt_delete_email2"
                        horizontalAlignment: HorizontalAlignment.Right                    
                    }
                } // delete

                Divider {
                    
                }
                Label {
                    text: qsTr("Location Services must be turned on to send Location Information.  Do not send command from SMS for System Information.  Use email instead.")
                    multiline: true
                }

            }
            
        } // scrollview
    } // page
} // sheet