import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Timer Scheduler") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            /*
             dismissAction: ActionItem {
             title: "Cancel"
             onTriggered: {
             _MessageFilter.cancelMessageFilterSettings()
             }
             }
             */            
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Scheduler.closeWindow()
                }
            
            }
        
        }// titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
//                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _Scheduler.newSchedule(-1)
                }
                objectName: "action_new"
            }
        
        ]

        objectName: "page"
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
                objectName: "img_background"
                scalingMethod: ScalingMethod.AspectFill
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
            }
           
            ListView {
                id: listView
                dataModel: _Scheduler.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable

                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _Scheduler.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
} // sheet