import bb.cascades 1.3

Sheet {

    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Incoming Call") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _viewCall.closeViewCallWindow()
                }
            
            }
        } // title

        actions: [
            ActionItem {
                title: qsTr("Block") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_block_calls.png"
                onTriggered: {
                    _viewCall.blockCaller()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            },
            
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _viewCall.deleteCallLog()
                }
            }
        ]

        Container {
            topPadding: 5
            leftPadding: 5
            rightPadding: 5
            Header {
                title: qsTr("Datetime") + Retranslate.onLanguageChanged	            
            }
            Label {
                objectName: "lb_datetime"
            }
            Header {
                title: qsTr("Name") + Retranslate.onLanguageChanged	            
            }
            Label {
                objectName: "lb_name"
            }
            Header {
                title: qsTr("Number") + Retranslate.onLanguageChanged	            
            }
            Label {
                objectName: "lb_number"
            }

        
        }
        
        
    }
}

