import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Advanced Blocking") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Advanced.cancelAdvancedOptions()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Advanced.saveAdvancedOptions()
                }
            
            }
        }// titleBar
        ScrollView {
            
            
            Container
            {
                layout: StackLayout {
                }
                leftPadding: 7.0
                topPadding: 7.0
                rightPadding: 7.0
                bottomPadding: 7.0
                
                horizontalAlignment: HorizontalAlignment.Fill

                Header {
                    title: qsTr("To and From Addresses") + Retranslate.onLanguageChanged
                }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        horizontalAlignment: HorizontalAlignment.Left
                        text: qsTr("Block if addresses are the same") + Retranslate.onLanguageChanged
                    }
                        
                    ToggleButton {
                        horizontalAlignment: HorizontalAlignment.Right
                        objectName: "same_to_from_address"
                        verticalAlignment: VerticalAlignment.Center
                    }
                }

                
                Header {
                    title: qsTr("Block Message Language") + Retranslate.onLanguageChanged
                }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Western Europe") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_1"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Western and Central Europe") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_2"
                        horizontalAlignment: HorizontalAlignment.Right
                    }

                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Western Europe and South European (Turkish, Maltese plus Esperanto)") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_3"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Western Europe and Baltic countries (Lithuania, Estonia, Latvia and Lapp)") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_4"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Cyrillic (Bulgarian, Belarusian, Russian, Serbian and Macedonian)") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_5"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }

                
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Arabic") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_6"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Greek") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_7"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Hebrew") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_8"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Western Europe with amended Turkish character set") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_9"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }
            
                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Western Europe with rationalised character set for Nordic languages, including complete Icelandic set") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                         verticalAlignment: VerticalAlignment.Center
                     }
                     ToggleButton {
                         objectName: "charset_10"
                         horizontalAlignment: HorizontalAlignment.Right
                     }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Thai") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_11"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Baltic languages plus Polish") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_12"
                        horizontalAlignment: HorizontalAlignment.Right
                    }

                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Celtic languages (Irish Gaelic, Scottish, Welsh)") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_13"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Western Europe Added the Euro sign and other rationalisations") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_14"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }
                
                Container {
                    layout: DockLayout {
                    }
                    topPadding: 7.0
                    horizontalAlignment: HorizontalAlignment.Fill
                     Label {
                         text: qsTr("Central, Eastern and Southern European languages (Albanian, Croatian, Hungarian, Polish, Romanian, Serbian and Slovenian, but also French, German, Italian and Irish Gaelic)") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "charset_15"
                         horizontalAlignment: HorizontalAlignment.Right
                         verticalAlignment: VerticalAlignment.Center
                     }
                }
                Divider {        }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Traditional Chinese") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_16"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Simplified Chinese") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_17"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Japanese") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_18"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Korean") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_19"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("English") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_20"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {        }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 7.0
                    Label {
                        text: qsTr("Vietnamese") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "charset_21"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }

            
            }
        } // scroll view
    } // page
} // sheet