import bb.cascades 1.3

    
    Page {
        id: sheetModify
        
        objectName: "page"
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Application Settings") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            objectName: "title_bar"
        
        }// titleBar
        

        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
                objectName: "img_background"
                scalingMethod: ScalingMethod.AspectFill
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
            }
            
            ListView {
                id: listView
                dataModel: _appSettings.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _appSettings.viewItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
