import bb.cascades 1.0

//NavigationPane {
Sheet {    
    objectName: "navPane"
//    backButtonsVisible: false
    
    Page {
        id: sheetModify
        
        actions: [
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _NewFilter.deleteFilter()
                }
                objectName: "delete_action"
            },
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _NewFilter.help()
                }
                objectName: "help_action"
            }
        
        ]
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("New Message Filter") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    _NewFilter.card_cancelNewFilter()
                }
                objectName: "cancel_action"
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
                onTriggered: {
                    _NewFilter.card_saveNewFilter()
                }
                objectName: "save_action"
            
            }
            objectName: "titlebar"
        }
        objectName: "page" // titleBar
        
        
        ScrollView {
            
            Container {
                Container
                {
                    id: container_block_message
                    layout: StackLayout {
                    }
                    leftPadding: 10.0
                    topPadding: 10.0
                    rightPadding: 10.0
                    bottomPadding: 10.0
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    Header {
                        title: "Filter Name"
                    }
                    TextField {
                        
                        hintText: qsTr("Enter a filter name") + Retranslate.onLanguageChanged
                        objectName: "filter_name"
                    }
                    
                    
                    Header {
                        title: qsTr("Filter on Sender, Subject and Message") + Retranslate.onLanguageChanged
                    }
                    TextField {
                        
                        hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged
                        objectName: "filter1"
                    }
                    Divider {
                    
                    }
                    TextField {
                        hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged
                        objectName: "filter2"
                    }
                    Divider {
                    
                    }
                    TextField {
                        objectName: "filter3"
                        hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged
                    }
                    Divider {
                    
                    }
                    TextField {
                        objectName: "filter4"
                        hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged
                    }
                
                } // block container
            } //  main container
        } // scroll view
    } // page
}