import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Debug") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _debug.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _debug.saveSettings()
                }
            
            }
        }// titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _debug.deleteLog()
                }
                objectName: "action_delete"
            },

            ActionItem {
                title: qsTr("View") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_save_log.png"
                onTriggered: {
                    _debug.viewLog()
                }
                objectName: "action_view"
            },
            
            
            ActionItem {
              title: qsTr("Email Support") + Retranslate.onLanguageChanged	            
              ActionBar.placement: ActionBarPlacement.OnBar
              imageSource: "asset:///images/ic_email.png"
              onTriggered: {
                  _debug.emailLog()
              }
              objectName: "action_email"
            }
        ]

        
        
         objectName: "page"
          Container
          {
              layout: StackLayout {
              }
              leftPadding: 10.0
              topPadding: 10.0
              rightPadding: 10.0
              bottomPadding: 10.0

            horizontalAlignment: HorizontalAlignment.Fill
            Container {
                  layout: DockLayout {
                  }
                  horizontalAlignment: HorizontalAlignment.Fill
                  topPadding: 10.0
                  Label {
                      text: qsTr("Enable") + Retranslate.onLanguageChanged	            
                      horizontalAlignment: HorizontalAlignment.Left
                  }
                  ToggleButton {
                      id: tb_disable
                      objectName: "bt_enable"
                      horizontalAlignment: HorizontalAlignment.Right
                  }
              } // dissable tb
            
              Label {
//                  text: "Log file is 50k"
                objectName: "lb_logsize"
            }
              Divider {
                  
              }
              Label {
                  text: qsTr("When Enabled Power Tools will write out debug logs to a file.  When you are done debugging select the Email Support button to email the debug log to Toysoft support.")
                multiline: true
                textStyle.fontStyle: FontStyle.Italic
                textStyle.fontSize: FontSize.Small
            }


          }
    } // page
} // sheet