import bb.cascades 1.0

Sheet
{

	Page {
		id: sheetModify
		
		objectName: "page"
		
		titleBar: TitleBar {
			id: addBar
            title: qsTr("Edit Application") + Retranslate.onLanguageChanged	            
			visibility: ChromeVisibility.Visible
			
			dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
				onTriggered: {
                    _EditAccount.cancelEditAccount()
				}
			}
			            
			acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
				onTriggered: {
                    _EditAccount.saveEditAccount()
				}
			}
		}
        actions: [
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _EditAccount.deleteAccount()
                }
            }
        ]
        
        Container {
            layout: StackLayout {

            }
            topPadding: 10
            leftPadding: 5
            rightPadding: 5

			Header {
                title: qsTr("Application Name") + Retranslate.onLanguageChanged	            
            }
			TextField {
                hintText: qsTr("Enter a new Application name") + Retranslate.onLanguageChanged	            
                objectName: "account_name"

            }
        }
    }

}

