import bb.cascades 1.3

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Contact") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.cancelBlacklist()
                }
            }

            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.saveBlacklist()
                }
            
            }
        } // title
        
        actions: [
/*            
            ActionItem {
                title: "Clear Counter"
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _blacklist.clearBlacklist()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            },
  */          
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _blacklist.deleteBlacklist()
                }
                objectName: "action_delete"
            }
        ]

        objectName: "page"
        ScrollView {
            Container {
                topPadding: 5
                leftPadding: 5
                rightPadding: 5
                Header {
                    title: qsTr("Name") + Retranslate.onLanguageChanged	            
                }
                TextField {   
                    hintText: qsTr("Enter caller name") + Retranslate.onLanguageChanged	            
                    objectName: "lb_name"
                }
                Header {
                    title: qsTr("Number") + Retranslate.onLanguageChanged	            
                }
                TextField {   
                    hintText: qsTr("Enter caller number") + Retranslate.onLanguageChanged	            
                    objectName: "lb_number"
                    inputMode: TextFieldInputMode.PhoneNumber
                }
                Header {
                    title: qsTr("Call Type")
                }
                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("Type") + Retranslate.onLanguageChanged
                    objectName: "dd_call_type"
                    selectedIndex: 0
                    Option {
                        text: qsTr("All Calls")
                    }
                    Option {
                        text: qsTr("Incoming Only")
                    }
                    Option {
                        text: qsTr("Outgoing Only")
                    }
                }
    
                Header {
                    title : qsTr("Limit talk time")
                }
    
                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("Minutes") + Retranslate.onLanguageChanged
                    objectName: "dd_talk_time"
                    selectedIndex: 0
                    Option {
                        text: qsTr("No Limit")
                    }
                    Option {
                        text: qsTr("1 Minute")
                    }
                    Option {
                        text: qsTr("2 Minutes")
                    }
                    Option {
                        text: qsTr("3 Minutes")
                    }
                    Option {
                        text: qsTr("4 Minutes")
                    }
                    Option {
                        text: qsTr("5 Minutes")
                    }
                    Option {
                        text: qsTr("6 Minutes")
                    }
                    Option {
                        text: qsTr("7 Minutes")
                    }
                    Option {
                        text: qsTr("8 Minutes")
                    }
                    Option {
                        text: qsTr("9 Minutes")
                    }
                    Option {
                        text: qsTr("10 Minutes")
                    }
                    Option {
                        text: qsTr("11 Minutes")
                    }
                    Option {
                        text: qsTr("12 Minutes")
                    }
                    Option {
                        text: qsTr("13 Minutes")
                    }
                    Option {
                        text: qsTr("14 Minutes")
                    }
                    Option {
                        text: qsTr("15 Minutes")
                    }
                    Option {
                        text: qsTr("16 Minutes")
                    }
                    Option {
                        text: qsTr("17 Minutes")
                    }
                    Option {
                        text: qsTr("18 Minutes")
                    }
                    Option {
                        text: qsTr("19 Minutes")
                    }
                    Option {
                        text: qsTr("20 Minutes")
                    }
                }
                
                Header {
                    title: qsTr("Notification")
                }
                Container
                {
                    topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                         text: qsTr("Warn when time about to expire") + Retranslate.onLanguageChanged	            
                         multiline: true
                     }
                     ToggleButton {
                         objectName: "tg_warn_me"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                } 
                
                Container
                {
                    objectName: "container_caller_info"
                    visible: false
                    Header {
                        title: qsTr("Last Called") + Retranslate.onLanguageChanged	            
                    }
                    Label {
                        objectName: "lb_datetime"
                    }
                    Header {
                        title: qsTr("Called You") + Retranslate.onLanguageChanged	            
                    }
                    Label {
                        objectName: "lb_called"
                    }
                }
                
            
            }
        }
    
    
    }
}

