import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Batch Processing Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("There are two functions in Batch Processing.\n\n<b>Resize Pictures</b>\n\nResize allows you to select any pictures to resize.  You can select a predefine size like Screen Size (Perfect for Wallpaper) or Percentage eg: 50%.  The resized pictures will be saved to the folder you have assigned and will be stored in the system Pictures folder.\n\n<b>File Shredder</b>\n\nIf you have important documents or files that you want to delete you should always use the Shredder.  When you delete a file from the Pictures or File Manager application the actual content of the file is not erased therefore it is possible to undelete the file and read the content.\n\nFile shred will write random data to the physical file location many times over to prevent the content from recover.\n\n<b>Add Filse</b>\n\nSelect the <b>Add</b> button to open the file browser and select the files.\n \n<b>Remove File</b>\n\nTo remove a file from the batch list select it. ") + Retranslate.onLanguageChanged
                                    
                }       
            }
        }
    
    
    }

}