import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: "Call Blocking Help"
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Warning: You should create a password in the Encryption screen in the main screen.  This will protect others from opening Call Blocking without a password.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       

                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Call Blocking allows to you reject incoming calls with callerid or Private or Unknown caller.\n\nIn the Call Blocking screen you will see three icons on the toolbar.\n\n<b>Calls</b>\n\nThe Calls screen shows all incoming calls with the datetime.  To view, block or delete the call tap on the call.\n\nTo block the caller just select the Block icon.  This will add the caller to the Blacklist database.\n\n<b>Blacklist</b>\n\nThe Blacklist database contains all the callers that you want to block.  You can manually add a caller by selecting the New button.  To view, edit or delete a Blacklist caller touch the caller.\n\n<b>Settings</b>\n\nThe Settings screen allows you to control how calls are blocked.  You can send a SMS to the caller that is blocked or be notified in the Hub when the caller is blocked.\n\nYou block marketers by adding the 1800 numbers in the Block 1800 Numbers text area.  Enter the area code like 1800, 0800 etc... Depends on your country you will enter leading 1 or 0.\n\n<b>International Users</b>\n\nEach country has different phone number formats.  In order for Power Tools to block all the calls you should set the <b>Match Phone Number</b> option.  The default is to match the last 10 digits.\nYou will need to adjust this numbe for your country.") + Retranslate.onLanguageChanged                                
                }       

            
            }
        }
    
    
    }

}