import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("Flip Hush and The Wave")
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("<b>Flip Hush</b>\n\nFlip Hush allows you to set a Sound Notification when you flip the device over.  Screen facing downwards.\n\nYou must enable Flip Hush in the <b>Application Settings</b> screen in the <b>Flip Hush</b> screen.\n\nThe Flip Hush is useful in meetings or you just want to Silent the phone for a short period of time.\n\nWhen you flip the device back to upwards Power Tools will set the Sound Notification back to the last mode.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>The Wave</b>\n\nThe Wave allows you to stop the blinking LED, the ringtone and reject the incoming call by just waving your hand on top of the blinking LED.\n\nYou must enable The Wav in the <b>Application Settings</b> screen in the <b>The Wave</b> screen.\n\nThe BlackBerry MUST be on a flat surface and the screen facing upwards for The Wave to work.\n\nThe Wave is useful when you know who the message is from but don't have time to read it yet or when you get a call and don't want to be bothered.  You just simply wave if off.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
        
        }
    }
}
