import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("How to use Geofencing") + Retranslate.onLanguageChanged
    
    }
    ScrollView {
        
        Container {
            
            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Geofencing uses the global positioning system (GPS) to define geographical boundaries.  A geofence is a virtual barrier.  When you enter or leave the virtual barrier Power Tools is triggered and can peform some actions.  Here are all the actions that Power Tools can do:") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            
            Container {
                leftPadding: 50
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n• Change Sound Notification Mode\n• Turn Bluetooth On or Off\n• Turn On Wifi\n• Set Volumes for Alerts and change Media sound") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }

            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nWhen you add a new location Power Tools fills in the current GPS coordinates and defaults the Radius to 100 meters.  You can set the Radius higher if you want the virtual barrier to be bigger.  1000 meters equals to 1km or 0.62 miles.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nWhen you Enter and Leave a location Power Tools does not get triggered instantly.  The BlackBerryOS will only trigger Power Tools when it detects a location change.  Delays can be up to 30 seconds to 30 minutes.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }

            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Turning Wifi On and Off</b>\n\nWith the current BlackBerryOS it is possible to turn on Wifi but not off.  To turn off Wifi you can set a Hub notification reminder.  When you get this message just swipe down from the top of the HomeScreen and turn off Wifi.\n\nWhen BlackBerry updates the Wifi API to allow turning off wifi then we can update Power Tools.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
        }
    }
}
