import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("Power Tools is not working") + Retranslate.onLanguageChanged
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Power Tools doesn't do anything.</b>") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nFirst double check the permissions in the Settings application for Power Tools.  Each feature that you use the permission for it must be set to On.\n\nThere are two applications in Power Tools.\n\n<b>User Interface</b>\n\nThis is the application that you launch from the HomeScreen and is the one you are running now.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Headless</b>\n\nThe Headless application can not be launched by you and it runs in the background when it is first installed or whenever you reset your device.\n
Quit the Power Tools user interface application first.  You can then view the CPU, Battery and Memory usage for Power Tools Headless application in the <b>Settings application, App Manager, Device Monitor and CPU</b> tab.\n
If you do not see Power Tools there then the BlackBerryOS did not start the Headless application.  Therefore you must reset your device again.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nWhen you restart your device Power Tools will send a message to the Hub to tell you that it has started and it is working.  If you do not see the message then restart your device again.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
        }
    }
}
