import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("Permissions") + Retranslate.onLanguageChanged
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Most of the permissions are optional.  You can deny each permission.  When the permission is denied Power Tools will not be able to complete that function.") + Retranslate.onLanguageChanged
                    multiline: true                    
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Location</b>\n\nAllows Power Tools to access the current and saved locations. It is required.") + Retranslate.onLanguageChanged
                    multiline: true
                    textStyle.color: Color.Green
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Shared Files</b>\n\nAllows Power Tools to access Pictures for setting Wallpaper and to save the applications database and backups.  This is required.") + Retranslate.onLanguageChanged
                    multiline: true
                    textStyle.color: Color.Green
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Notification Control</b>\n\nAllows Power Tools to change the Sound Notification Mode like Silent, Vibrate etc...  It is optional.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Contacts</b>\n\nAllows Power Tools to access the Contacts database.  This is for lookup when configuring your Location to send email or text message.  This is optional.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Phone and Phone Control</b>\n\nAllows Power Tools to access the Phone.  This is so Power Tools can set the incoming call LED color and . reject incoming and outgoing calls.  This is optional.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Email and Text Messages</b>\n\nAllows Power Tools to send email and text message. This is optional.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\n<b>Connect to BBM</b>\n\nAllows Power Tools to connect to BBM for inviting others to download Power Tools.  This is optional.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
        }
    }
}
