import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("Sound Notification")
    
    }
    ScrollView {
        
        Container {
            
            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nSound Notification controls the Alert sound, LED, Vibrate and Phone ringtone.  There are five different Sound Notification Modes that you can set.\n") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            
            Container {
                leftPadding: 50
                rightPadding: 10
                Label {
                    text: qsTr("1. Silent\n2. Vibrate Only\n3. Normal\n4. Phone Calls Only\n5. All Alerts Off") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
            
            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("\nIn Power Tools you create a new Sound Notification and set the Start and End times to change the Mode.  When the Start and End time is <b>exactly</b> the same as the current time the mode is changed.\n\nIf you create a new Sound Notification and set the Start or End time in the pass then the Mode will not be changed until the next day.\n\nFor example:  If you set the Start time to 8:00am and the End time to 5:00pm and the current time is 11:00am.  Power Tools will not change mode since 8:00am has already passed.  It will wait until 5:00pm to change the End profile.  The Start profile will be changed the next day at 8:00am.\n\nTo set the Start profile you need to manually set the Sound Notification Mode in the Settings application in the Notification screen.  Once this is set Power Tools will do everything automatically thereafter.") + Retranslate.onLanguageChanged        
                    multiline: true
                }
            }

            Container {
                leftPadding: 10
                rightPadding: 10
                Label {
                    text: qsTr("Power Tools does not work using time range like activate between 8:00am to 5:00pm.  It will only change the mode on the exact time.") + Retranslate.onLanguageChanged
                    multiline: true
                }
            }
        
        }
    }
}
