import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Alarm Profiles") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _AlarmProfiles.closeWindow()
                }
            
            }
        
        }// titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
               // ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _AlarmProfiles.newFilter(-1)
                }
                objectName: "action_new"
            }
        
        ]

        objectName: "page"
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
          
            ImageView 
            {
                imageSource: "asset:///images/sheet_background.jpg"
                objectName: "img_background"
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                scalingMethod: ScalingMethod.AspectFill
            }
           
            ListView {
                id: listView
                dataModel: _AlarmProfiles.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _AlarmProfiles.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
} // sheet