import bb.cascades 1.3

Sheet {
    Page {
        titleBar: TitleBar {
            title: "Weather Wallpapers"
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {                    
                    _ManageWallpaper.closeWindow()
                }
            }

        }
        actions: [
            
            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
//                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _ManageWallpaper.newWallpaper(-1)
                }
                objectName: "action_new"
            }
        
        ]

        objectName: "page"
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
                    
            ListView {
                id: listView
                dataModel: _ManageWallpaper.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable

                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _ManageWallpaper.selectedItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    
    }
}
