import bb.cascades 1.0

Dialog {
    id: passDialog
    Container {
        preferredWidth: 1440
        preferredHeight: 1440
        leftPadding: 10
        rightPadding: 10
        background: Color.create(0.0, 0.0, 0.0, 0.5)
        layout: DockLayout {
        }
        
        Container {
//            topPadding: 50
            layout: DockLayout {
            }
            
//            Container {
//                leftPadding: 2
                ImageView {
                    // image for showing the dialog box
                    imageSource: "asset:///images/sheet_background.jpg"
                    objectName: "img_background"
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                }
 //           }
            
            // for body of the dialog
            Container {
                topPadding: 5
                leftPadding: 15
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                Container {
                    Label {
                        text: "Power Tools"
                        textStyle.base: SystemDefaults.TextStyles.TitleText
                        textStyle.fontSize: FontSize.Large
                        textStyle {
                            color: Color.White
                        }
                        
                    }
                    Divider {
                        
                    }
                }
            }   
            Container {
                topPadding: 100
                leftPadding: 10
                rightPadding: 10
                Label {
                    text: qsTr("Enter a new password.") + Retranslate.onLanguageChanged	            
                    multiline: true
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    textStyle {
                        color: Color.White
                    }
                }
                
                Container {
                    topPadding: 20
//                    rightPadding: 50
                    horizontalAlignment: HorizontalAlignment.Fill
                    TextField {
                        id: pass
                        hintText: qsTr("Password.") + Retranslate.onLanguageChanged	            
                        inputMode: TextFieldInputMode.Password
/*
                        validator: Validator {
                            id: passValidator
                            mode: ValidationMode.Immediate
                            errorMessage: "Enter at least 4 characters."
                            onValidate: {
                                if(pass.text.length >= 4){
                                    state = ValidationState.Valid;
                                }
                                else {
                                    state = ValidationState.Invalid;
                                }
                            }
                        }
 */
                        horizontalAlignment: HorizontalAlignment.Fill
                    }
                }
                
                Container {
                    topPadding: 20
//                    rightPadding: 50
                    TextField {
                        id: confirmPass
                        hintText: qsTr("Confirm Password.") + Retranslate.onLanguageChanged	            
                        inputMode: TextFieldInputMode.Password
/*
                        validator: Validator {
                            id: confirmPassValidator
                            mode: ValidationMode.Immediate
                            errorMessage: "Enter at least 4 characters."
                            onValidate: {
                                if(confirmPass.text.length >= 4){
                                    state = ValidationState.Valid;
                                }
                                else {
                                    state = ValidationState.Invalid;
                                }
                            }
                        }
*/
                        horizontalAlignment: HorizontalAlignment.Fill
                    }
                }
                
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    topPadding: 70

                    horizontalAlignment: HorizontalAlignment.Center
                    //                  Container {
//                        leftPadding: 0
                        Button {
//                            preferredWidth: 300
                            id: cancelButton
                            text: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                            onClicked: {
                                passDialog.close();
                            }
                        }                        
//                    }
//                    Container {
 //                       leftPadding: 40
//                        rightPadding: 30
                        Button {
                            id: okButton
                            text: qsTr("OK") + Retranslate.onLanguageChanged	            
  //                          preferredWidth: 300
                            onClicked: {
                                if(pass.text == "" && confirmPass.text == "")
                                {
                                    pass.requestFocus()
  //                                  console.log("Please enter a Password!");
                                }

                                else
                                {
//                                    if(confirmPassValidator.valid && dialogOKd)
//                                    {
                                        if(pass.text == confirmPass.text){
                                            _Dialog.dialogOK(true, pass.text)
                                            // DO some magic and then subsequently close the dialogBox
                                            // call the methods which needs to be invoked when OK button is clicked
                                            passDialog.close();
                                        }
                                        else {
                                            _Dialog.dialogOK(false, qsTr("Password does not match.")+ Retranslate.onLanguageChanged)
//                                            pass.requestFocus()
//                                            console.log("Password and Confirm Password doesn't match.");
                                            // reopen the dialog box
//                                            passDialog.open();
                                        }                                     
//                                    }
                                }
                            }

                        }
                   // }
                }
            
            
            }
        
        }
    
    
    }
}