import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Quick Settings")
    }

    ScrollView {
        id: scroller
        Container {
            leftPadding: 10
            rightPadding: leftPadding
            Container
            {            
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Alarms") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting1"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(0)
                    }
                }
            } 
            Divider {            
            }
            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Cell Signal Strength") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting2"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(1)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Custom LED") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting3"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(2)
                    }
                }
            } 
            Divider {            
            }
        
            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Encryption") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting4"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(3)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Manage System Sounds") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting5"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(4)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Holster") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting6"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(5)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Block Calls") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting7"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(6)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Message Blocker") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting8"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(7)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Phone Connects and Call") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting9"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(8)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Scheduler") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting10"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(9)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("System Event Sounds") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting11"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(10)
                    }
                }
            } 
            Divider {            
            }


            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Manager System Sounds") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting12"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(11)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Wallpaper Setup") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting13"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(12)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Daily Usage Report") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting14"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(13)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Battery") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting15"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(14)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("File Manager") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting16"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(15)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Application Settings") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting17"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(16)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("System Information") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting18"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(17)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Speech") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting19"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(18)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Phone Talk Time") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting20"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(19)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Popup Message") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting21"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(20)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Remote Command") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting22"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(21)
                    }
                }
            } 
            Divider {            
            }

            Container
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 10.0
                Label {
                    text: qsTr("Debug") + Retranslate.onLanguageChanged	            
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                CheckBox {
                    objectName: "cb_qsetting23"
                    horizontalAlignment: HorizontalAlignment.Right
                    onCheckedChanged: {
                        _mainApp.save_quick_setting(22)
                    }
                }
            } 
            Divider {            
            }
        
        } // container
    
    }
}
