import bb.cascades 1.2

Sheet
{
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Connections") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    _mainApp.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }
        }// titleBar
        
        ScrollView {
	        Container
	        {
	            layout: StackLayout {
	            }
	            leftPadding: 10.0
	            topPadding: 10.0
	            rightPadding: 10.0
	            bottomPadding: 10.0
	            
	            Header {
                    title: qsTr("Cellular Network Strength") + Retranslate.onLanguageChanged	            
	            }
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                id: cellnetworkcolor_off
                    title: qsTr("Cellular Network Off") + Retranslate.onLanguageChanged	            
	                objectName: "cellnetworkcolor_off"
	                onSelectedIndexChanged: {
	                    _mainApp.test_led(selectedIndex);
	                
	                }
	                Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_none.png"
	                }
	                Option {
                        text: qsTr("Blue") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_blue.png"
	                }
	                Option {
                        text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_cyan.png"
	                }
	                Option {
                        text: qsTr("Green") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_green.png"
	                }
	                Option {
                        text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_magenta.png"
	                }
	                Option {
                        text: qsTr("Red") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_red.png"
	                }
	                Option {
                        text: qsTr("White") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_white.png"
	                }
	                Option {
                        text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_yellow.png"
	                }
	            }
	
	            
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                id: cellnetworkcolor_on
                    title: qsTr("Signal") + Retranslate.onLanguageChanged	            
	                objectName: "cellnetworkcolor_on"
	                onSelectedIndexChanged: {
	                    _mainApp.test_led(selectedIndex);
	                
	                }
	                Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_none.png"
	                }
	                Option {
                        text: qsTr("Blue") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_blue.png"
	                }
	                Option {
                        text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_cyan.png"
	                }
	                Option {
                        text: qsTr("Green") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_green.png"
	                }
	                Option {
                        text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_magenta.png"
	                }
	                Option {
                        text: qsTr("Red") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_red.png"
	                }
	                Option {
                        text: qsTr("White") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_white.png"
	                }
	                Option {
                        text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
	                    imageSource: "asset:///images/ic_led_yellow.png"
	                }
	            }
	            
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                id: cellnetworkcolor
                    title: qsTr("No Signal") + Retranslate.onLanguageChanged	            
	                objectName: "cellnetworkcolor"
	                onSelectedIndexChanged: {
	                    _mainApp.test_led(selectedIndex);
	                
	                }
                    Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: qsTr("Blue") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: qsTr("Green") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: qsTr("Red") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: qsTr("White") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_white.png"
                    }
                    Option {
                        text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_yellow.png"
                    }

	            }
	
				Divider {
	       
	       		 }
	
	            Header {
                    title: qsTr("WiFi Connections") + Retranslate.onLanguageChanged	            
	            
	            }
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("WiFi Network Off") + Retranslate.onLanguageChanged	            
	                objectName: "wifi_off"
	                onSelectedIndexChanged: {
	                    _mainApp.test_led(selectedIndex);
	                
	                }
                    Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: qsTr("Blue") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: qsTr("Green") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: qsTr("Red") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: qsTr("White") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_white.png"
                    }
                    Option {
                        text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_yellow.png"
                    }
	            }
	            
	            
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("WiFi Network On") + Retranslate.onLanguageChanged	            
	                objectName: "wifi_on"
	                onSelectedIndexChanged: {
	                    _mainApp.test_led(selectedIndex);
	                
	                }
                    Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: qsTr("Blue") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: qsTr("Green") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: qsTr("Red") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: qsTr("White") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_white.png"
                    }
                    Option {
                        text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_yellow.png"
                    }
	            }
	
	            Container
	            {
	                layout: DockLayout {
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                topPadding: 10.0
	                Label {
                        text: qsTr("Show message when disconnected") + Retranslate.onLanguageChanged	            
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                CheckBox {
	                    objectName: "cb_wifi_show_hub"
	                    horizontalAlignment: HorizontalAlignment.Right
	                }
	            }
	            
	            Divider {
	                
	            }
	
	            Label {
                    text: qsTr("It may take up to one minute to change the LED.") + Retranslate.onLanguageChanged	            
	                multiline: true
	                textStyle.fontStyle: FontStyle.Italic
	                textStyle.fontSize: FontSize.Small
	            }
	
	
	            Header {
                    title: qsTr("LED Blinking Speed") + Retranslate.onLanguageChanged	            
	                visible: false
	            }
	            DropDown {
                    title: qsTr("Blink Speed") + Retranslate.onLanguageChanged	            
	                objectName: "blinking_speed"
	                visible: false
	                Option {
	                    text: "100 ms"
	                }
	                Option {
	                    text: "200 ms"
	                }
	                Option {
	                    text: "300 ms"
	                }
	                Option {
	                    text: "400 ms"
	                }
	                Option {
	                    text: "500 ms"
	                }
	                Option {
	                    text: "600 ms"
	                }
	                Option {
	                    text: "700 ms"
	                }
	                Option {
	                    text: "800 ms"
	                }
	                Option {
	                    text: "900 ms"
	                }
	                
	                Option {
	                    text: "1 Second"
	                }
	/*                Option {
	                    text: "2 Seconds"
	                }
	                Option {
	                    text: "3 Seconds"
	                }
	                Option {
	                    text: "4 Seconds"
	                }
	                Option {
	                    text: "5 Seconds"
	                }
	  */          
	            }
	
	                    
	        }
	    }
    
    }
}
